#ifndef PROMPTALGORITHM_H_
#define PROMPTALGORITHM_H_

#include "Algorithm.h"
#include "Choice.h"

class PromptAlgorithm : public Algorithm
{
private:
    /**
     * Decide on a choice by prompting for it.
     * @param prediction the prediction (ignored).
     * @return the decided choice.
     */
    virtual Choice decide(const Choice prediction) override;
};

#endif /* PROMPTALGORITHM_H_ */
