#ifndef RANDOMALGORITHM_H_
#define RANDOMALGORITHM_H_

#include "Algorithm.h"
#include "Choice.h"

class RandomAlgorithm : public Algorithm
{
private:
    /**
     * Randomly decide on a choice.
     * @param prediction the prediction (ignored).
     * @return the decided choice.
     */
    virtual Choice decide(const Choice prediction) override;
};

#endif /* RANDOMALGORITHM_H_ */
