#ifndef WHO_H_
#define WHO_H_

#include <iostream>
#include <string>

using namespace std;

/**
 * Who plays and wins each round.
 */
enum class Who { HUMAN, COMPUTER, TIE, NONE };
const string WHO_STRINGS[] { "HUMAN", "COMPUTER", "TIE", "NONE" };

inline string to_string(const Who who)
{
    return WHO_STRINGS[static_cast<int>(who)];
}

inline ostream& operator <<(ostream& os, const Who& who)
{
    os << to_string(who);
    return os;
}

#endif /* WHO_H_ */
