#ifndef BUTTONALGORITHM_H
#define BUTTONALGORITHM_H

#include "Algorithm.h"
#include "Choice.h"

class ButtonAlgorithm : public Algorithm
{
private:
    /**
     * Randomly decide on a choice.
     * @param prediction the prediction (ignored).
     * @return the decided choice.
     */
    virtual Choice decide(const Choice prediction) override;
};

#endif // BUTTONALGORITHM_H
