#include <iostream>

#include "PromptAlgorithm.h"
#include "Choice.h"
#include "Who.h"

Choice PromptAlgorithm::decide(const Choice prediction)
{
    Choice choice;
    char ch;
    bool invalid;

    do
    {
        cout << "  " << Who::HUMAN << "'s choice? ";
        cin >> ch;
        choice = to_choice(ch);
        invalid = (choice == Choice::NONE);

        if (invalid) cout << "  *** ERROR: Enter R, P, or S" << endl;
    } while (invalid);

    return choice;
}
